# Method: operators.planGroups.create

- [HTTP request](https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.planGroups/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.planGroups/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.planGroups/create#body.request_body)
  - [JSON representation](https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.planGroups/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.planGroups/create#body.response_body)
  - [JSON representation](https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.planGroups/create#body.PlanGroup.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.planGroups/create#body.aspect)

> [!WARNING]
> This item is deprecated!

Allows a mobile operator (identified by its unique Autonomous System Number (ASN)) to add a new PlanGroup entry.

### HTTP request

`POST https://mobiledataplansharing.googleapis.com/v1/{parent=operators/*}/planGroups`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The resource name of the parent resource in the following format: `operators/{asn_id}`. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "planGroupId": string, "planGroup": { object (`https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.planGroups/create#body.PlanGroup`) } } ``` |

| Fields ||
|---|---|
| `planGroupId` | `string` The planGroupId, which uniquely identifies a subscriber to the mobile network operator. For example, planGroupId can be the mobile station international subscriber directory number (MSISDN) or an encrypted version of MSISDN. |
| `planGroup` | ``object (`https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.planGroups/create#body.PlanGroup`)`` The PlanGroup resource to create. |

### Response body

If successful, the response body contains data with the following structure:

> [!WARNING]
> This item is deprecated!

PlanGroup contains details for all top-level mobile service packages a user has purchased.

| JSON representation ||
|---|---|
| ``` { "name": string, "dataPlans": [ { object (`https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.clients.users.planStatus#PlanStatus.Plan`) } ], "responseStaleTime": string, "lastUpdatedTime": string } ``` |

| Fields ||
|---|---|
| `name` | `string` The resource name of the plan group in the following format: `operators/{asn_id}/planGroups/{planGroupId}`. The name is ignored when creating a PlanGroup entry. |
| `dataPlans[]` | ``object (`https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.clients.users.planStatus#PlanStatus.Plan`)`` List of data plans owned by this user. |
| `responseStaleTime` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.Timestamp` format)`` Time when the shared plan group information becomes outdated. PlanGroup will not be served to applications after this time. A timestamp in RFC3339 UTC "Zulu" format, with nanosecond resolution and up to nine fractional digits. Examples: `"2014-10-02T15:01:23Z"` and `"2014-10-02T15:01:23.045123456Z"`. |
| `lastUpdatedTime` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.Timestamp` format)`` Time when the data plan agent (DPA) fetched the data plan status information from backend systems. Will be used to determine how recent is the data plan status information. A timestamp in RFC3339 UTC "Zulu" format, with nanosecond resolution and up to nine fractional digits. Examples: `"2014-10-02T15:01:23Z"` and `"2014-10-02T15:01:23.045123456Z"`. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dataplansharing`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).